Bug 740718 - exception occurred when starting update
exception occurred when starting update
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pirut (Show other bugs)
5.7
x86_64 Linux
unspecified Severity urgent
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-23 01:36 EDT by finishshots
Modified: 2013-01-10 05:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-26 16:01:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug window with all errors (3.03 KB, application/octet-stream)
2011-09-23 01:36 EDT, finishshots
no flags Details

  None (edit)
Description finishshots 2011-09-23 01:36:56 EDT
Created attachment 524539 [details]
bug window with all errors

Description of problem:
Everytime I try to check for updates, I receive a Exception Occurred popup asking to file a report against pirut.  Have not been able to download or install any updates since August 23.  Redhat support will not help.

Version-Release number of selected component (if applicable):


How reproducible:
Start Software Updater or
type yum update in terminal window

Steps to Reproduce:
1. Start Software updater
2.
3.
  
Actual results:
Exception occurred error.
Summary: TB38ebe1be yumRepo.py:986:_getFileRepoXML:TypeError: _getFile() got an unexpected keyword argument 'size'


Expected results:
list of updates to install

Additional info:
Comment 1 James Antill 2011-09-26 16:01:01 EDT
 You have a newer version of yum than we ship in RHEL-5, if you get a newer version of yum-rhn-plugin it will work fine (or patch it by hand to add the size argument to it's _getFile ... and then just ignore it).

Note You need to log in before you can comment on or make changes to this bug.